
events {

}

http {
  # tls settings
  ssl_protocols TLSv1.2 TLSv1.3;
  ssl_ciphers   HIGH:!aNULL:!MD5;

  server {
    server_name _;
    listen {{ install_node_https_mirror_port }} ssl;
    ssl_certificate /etc/ssl/private/cert.pem;
    ssl_certificate_key /etc/ssl/private/private.key;

    location / {
      root /var/lib/mirror/;
      index index.html;
    }
  }

  {% for info in container_mirror_info.results -%}
  server {
    server_name _;
    listen {{ info.item.port }} ssl;
    ssl_certificate /etc/ssl/private/cert.pem;
    ssl_certificate_key /etc/ssl/private/private.key;

    add_header "Docker-Distribution-Api-Version" "registry/2.0";

    location /v2/ {
       proxy_pass http://{{ info.container.NetworkSettings.IPAddress }}:5000/v2/;
       proxy_set_header X-Forwarded-Proto "https";
       limit_except GET {
         # by adding auth here we can allow pushing for authenticated users!
         deny all;
       }
    }
  }
  {% endfor -%}
}
